## class: `WyTyping`, `wy-typing`

Displays a short "is typing" indicator for a conversation/app.

Shows a localized string like "Alice is typing…" or "Alice and Bob are typing…".

### Fields

| Name     | Type                  | Default | Description                                                      | Inherited From |
| -------- | --------------------- | ------- | ---------------------------------------------------------------- | -------------- |
| `appId`  | `number \| undefined` |         | Identifier of the app whose typing activity should be displayed. |                |
| `userId` | `number \| undefined` |         | Current viewer id used to filter typing updates.                 |                |

### Attributes

| Name     | Field  | Inherited From |
| -------- | ------ | -------------- |
| `appId`  | appId  |                |
| `userId` | userId |                |

### Slots

| Name | Description                                        |
| ---- | -------------------------------------------------- |
|      | Fallback content when there is no typing activity. |

<hr/>

## Exports

| Kind                        | Name        | Declaration | Module                      | Package |
| --------------------------- | ----------- | ----------- | --------------------------- | ------- |
| `js`                        | `WyTyping`  | WyTyping    | lib/components/wy-typing.ts |         |
| `custom-element-definition` | `wy-typing` | WyTyping    | lib/components/wy-typing.ts |         |
